/* this little class helps with the logging */

#ifndef _PREYTAGFUNCTION_H_
#define _PREYTAGFUNCTION_H_

#include <string>
#include "Logger.hpp"

class PreyTagFunction
  : public spades::TagFunction
{
public:
  PreyTagFunction () { }

  std::string getTag (int level) const { return "TAGERROR"; }
  std::string getTag (int level, const std::string& channel_name) const
  {
    std::string s("[" + channel_name + "]");
    s.insert (s.end (), level / 10, '-');
    return s;
  }
  std::string getErrorTag (int level) const
  {
    return (level == 0 ? "PreyError: " : ("PreyWarning[" + spades::toString(level) + "]: "));
  }
private:

};

#endif
