/* Create an inform event to tell agents of other agent actions */

#ifndef _CREATEACTIONINFORMEVENTEVENT_H_
#define _CREATEACTIONINFORMEVENTEVENT_H_

#include "CreateSenseEvent.hpp"
#include "WorldModel.hpp"
#include "PPSharedTypes.hpp"

class CreateActionInformEvent : public spades::CreateSenseEvent
{
public:
  CreateActionInformEvent (spades::SimTime t, spades::AgentID a, entityid_t eid, basic_move_t m);
  ~CreateActionInformEvent () {}

  void print (std::ostream & o) const;

  //from CreateSenseEvent
  spades::SenseEvent* createSense(spades::WorldModel* p);

private:
  entityid_t eid;
  basic_move_t action;
};




#endif

