/* Create a sense event which is the full state of the world */

#ifndef _CREATEFULLSENSEEVENTEVENT_H_
#define _CREATEFULLSENSEEVENTEVENT_H_

#include "CreateSenseEvent.hpp"
#include "WorldModel.hpp"

class PredPreyWorld; //defined in PredPreyWorld.hpp


class CreateFullSenseEvent : public spades::CreateSenseEvent
{
public:
  CreateFullSenseEvent (spades::SimTime t, spades::AgentID a);
   ~CreateFullSenseEvent (){}

  void print (std::ostream & o) const;

  //this is how the world model realizes the event
  bool realizeEventWorldModel(spades::WorldModel* pWM);

  //from CreateSenseEvent
  spades::SenseEvent* createSense(spades::WorldModel* p);

private:
  
};




#endif

