/* Create an inform event to tell agents of reward */

#ifndef _CREATEREWARDINFORMEVENTEVENT_H_
#define _CREATEREWARDINFORMEVENTEVENT_H_

#include "CreateSenseEvent.hpp"
#include "WorldModel.hpp"

class CreateRewardInformEvent : public spades::CreateSenseEvent
{
public:
  CreateRewardInformEvent (spades::SimTime t, spades::AgentID a, int r);
  ~CreateRewardInformEvent () {}

  void print (std::ostream & o) const;

  //from CreateSenseEvent
  spades::SenseEvent* createSense(spades::WorldModel* p);

private:
  int reward;
};




#endif

