/* A behavior to execute simple q-learning (no coach involvement) */

#ifndef _SIMPLE_QLEARN_BEHAVIOR_H_
#define _SIMPLE_QLEARN_BEHAVIOR_H_

#include <string>
#include "BaseQLearnBehavior.hpp"
#include "QTable.hpp"

//The behavior takes over responsibility for the memory here
class SimpleQLearnBehavior : public BaseQLearnBehavior
{
public:
  SimpleQLearnBehavior(spadesalib::AgentCommInterface* pacs, float gamma, explore_t exp,
		       float alpha_explore, float boltzmann_constant, const char* disable_map_fn);
  ~SimpleQLearnBehavior();

  void respondSenseQLearn(Behavior::SenseType st);
  bool initialize();

private:
};


#endif
